Name: BitchX
Summary: textmode IRC client
Version: 75p3
Release: 11mdk
Source: ftp://ftp.bitchx.org/pub/BitchX/source/ircii-pana-%{version}.tar.bz2
Source1: ircii-translation.tar.bz2
Source2: bx-config.h
Patch: ircii-pana-75p3.fakeid.patch.bz2
Patch1: BitchX-alphasuck.patch.bz2
Patch2: BitchX-emacs.patch.bz2
Patch3: BitchX-mdkconf.patch.bz2
Group: Networking/IRC
URL: http://www.bitchx.org/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Obsoletes: ircii
Prefix: /usr

%description
This is the bleeding edge of IRC software -- the most common
functions normally done by scripts are coded into the client itself.
It contains dozens of features such as:

    * Built-in ANSI color (this is probably the biggest feature)
    * Ease of use -- dozens of useful command aliases to reduce typing
    * Built-in notify, protection, and bot lists
    * Built-in mass commands and tools
    * Extended set of DCC commands and built-in CDCC offering
    * Extended scripting functionality, including unique functions
    * Code is based on ircII-Plutonium and more recent ircII-EPiC

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n BitchX
find . -type d -name 'CVS'|xargs rm -rf

%patch -p1
%patch2 -p0
%patch3 -p0 

%ifarch alpha
%patch1 -p0
%endif

%build
%ifarch alpha sparc sparc64
OPTS="--without-tcl"
%else
OPTS="--with-tcl"
%endif

CFLAGS="$RPM_OPT_FLAGS -DHUMBLE " CXXFLAGS="$RPM_OPT_FLAGS -DHUMBLE " \
	 ./configure $OPTS --prefix=%{prefix}
cp -f %{SOURCE2} $RPM_BUILD_DIR/BitchX/include/config.h

if [ x"$SMP" != x"" ]; then
	(make MAKE="make -j $SMP -k"; exit 0)
	make
else
	make
fi

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{prefix}
install -m644 BitchX.ircnames $RPM_BUILD_ROOT/usr/lib/bx
install -m644 BitchX.quit $RPM_BUILD_ROOT/usr/lib/bx
install -m644 BitchX.reasons $RPM_BUILD_ROOT/usr/lib/bx

cp -r bitchx-docs/* $RPM_BUILD_ROOT/usr/lib/bx/help
install -m644 BitchX.help $RPM_BUILD_ROOT/usr/lib/bx/help

mkdir -p $RPM_BUILD_ROOT/%{prefix}/man/man1
zcat BitchX.1.gz > $RPM_BUILD_ROOT/%{prefix}/man/man1/BitchX.1

(cd $RPM_BUILD_ROOT/%{prefix}/lib/bx &&
	bzip2 -dc %{SOURCE1} |tar x )

# fix up symlink
rm $RPM_BUILD_ROOT/%{prefix}/bin/BitchX
ln -s BitchX-%{version} $RPM_BUILD_ROOT/%{prefix}/bin/BitchX

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/BitchX*
/usr/bin/scr-bx
/usr/bin/wserv
/usr/lib/bx
/usr/man/man1/BitchX.1*

%changelog

* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 75p3-11mdk
- Release

* Fri Jan 14 2000 Francis Galiegue <francis@mandrakesoft.com>
- Don't build with tcl on sparc either - ld also segfaults. Doh.

* Fri Jan 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 75p3-9mdk
- Patch to work on alpha (sucky !!!).
- Add Mandrak3 in /version.
- Bind some emacs keys.
- Don't compile with tcl on alpha (ld segfault !!!!).
- WANT_NOTIFY_BITCHX_COM off
- WANT_HEBREW ON.
- DEFAULT_OPERMODE "swfc"
- update descriptions.

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Empty pocket lint (rpmlint that is)
	- strip
	- new group "Applications/Internet"

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build

* Thu Aug 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Added character translations from ircii (test this lots please!)

* Tue Aug 03 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add some defines so /help works

* Sun Aug  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mailed original to RedHat =P.
- Insert Manpages.
- Insert Bitchx.* in %{prefix}/lib/bx/
- Inert description in spec.
- Insert doc.

* Fri Jul  9 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- patch config.h for pidentd+fm
- Mailed original to Microsoft =P
- enabled Hades look cause blue is boreing

* Fri Jul  9 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Add Obsoletes: ircii
- Fix up symlink /usr/bin/BitchX
- suggest the broken 1mdk package for inclusion in Microsoft Linux ;)

* Fri Jul  9 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial RPM
